package net.carbon.model.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author jieyuu
 * @since 2024-12-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("carbon_emission")
public class CarbonEmissionDO implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String city;

    private BigDecimal wastewaterDischargeTotal;

    private BigDecimal airQualityAchievementRate;

    private BigDecimal gdpElectricityConsumption;

    private BigDecimal wasteResourceIndustryValue;

    private BigDecimal forestCoverageRate;

    private BigDecimal ecologicalIndex;

    private BigDecimal importExportTotal;

    private Integer foreignInvestmentEnterprises;

    private BigDecimal tourismIncome;

    private Integer overnightTourists;

    private BigDecimal publicManagementDensity;

    private BigDecimal perCapitaServiceFunds;

    private BigDecimal averageAnnualSalary;

    private BigDecimal urbanPerCapitaIncome;


}
