package net.carbon.model.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author jieyuu
 * @since 2025-02-21
 */
@Getter
@Setter
@ToString
@TableName("economics")
public class EconomicsDO implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("id")
    private Long id;

    /**
     * 项目名称
     */
    @TableField("name")
    private String name;

    /**
     * 指标单位
     */
    @TableField("unit")
    private String unit;

    /**
     * 数据
     */
    @TableField("data")
    private Double data;

    /**
     * 指标属性
     */
    @TableField("attribute")
    private String attribute;

    /**
     * 0代表是系统数据不能删除，1代表是其他数据，可以删除
     */
    @TableField("is_system_date")
    private Integer isSystemDate;

    /**
     * 逻辑删除标记（默认0，删除1）
     */
    @TableField("is_delete")
    private Byte isDelete;
}
