package net.carbon.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@ApiModel(value = "登录对象", description = "用户登录请求对象")
@AllArgsConstructor
@NoArgsConstructor
public class UserLoginRequest {

    @ApiModelProperty(value = "用户名", example = "jieyuu")
    private String username;

    @ApiModelProperty(value = "密码", example = "123456")
    private String password;
}
