package net.carbon.service;

import com.baomidou.mybatisplus.extension.service.IService;
import net.carbon.bean.PageResponse;
import net.carbon.model.po.EconomicsDO;
import net.carbon.model.request.EconomicsUpdateRequest;
import net.carbon.model.vo.EconomicsVO;

/**
 * (Economics)表服务接口
 *
 * @author jieyuu
 * @since 2025-02-21 13:37:17
 */
public interface EconomicsService extends IService<EconomicsDO> {

    PageResponse<EconomicsVO> getPage(Long pageSize, Long current);

    Integer delete(Long id);

    Integer updateById(EconomicsUpdateRequest economicsUpdateReq);

}

